InertiaSDK

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::LogWriterMATSettings Struct Reference

MAT Log Settings. More...

`#include <LogSettings.h>`

Collaboration diagram for inertia::LogWriterMATSettings:
[legend]

## Public Types
enum class | FileVersion { MAT_6 , MAT_7 , MAT_7_3 }

## Public Member Functions
| LogWriterMATSettings ()
| LogWriterMATSettings (std::wstring const &argString)
const std::wstring | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
LogColumns | columns
| The data to include in the MAT file.
size_t | sampleCount
| The number of samples to add to the MAT file, 0 to first count all samples.
std::wstring | structName
| The global name of the structure in the MAT file containing the data.
FileVersion | matFileVersion
| The MAT file version, default is FileVersion::MAT_7.

## Detailed Description

MAT Log Settings.

Settings for creating a MATLAB (MAT) file.

## Member Enumeration Documentation

## ◆ FileVersion

enum class inertia::LogWriterMATSettings::FileVersion
| strong

MAT File version options.

Enumerator
MAT_6 | MATLAB -v6, uncompressed.
MAT_7 | MATLAB -v7, compressed.
MAT_7_3 | MATLAB -v7.3, compressed HDF5 format.

## Constructor & Destructor Documentation

## ◆ LogWriterMATSettings() [1/2]

inertia::LogWriterMATSettings::LogWriterMATSettings | ( |  | ) |

Default constructor.

## ◆ LogWriterMATSettings() [2/2]

inertia::LogWriterMATSettings::LogWriterMATSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates LogWriterMATSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::LogWriterMATSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for LogWriterMATSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

const std::wstring inertia::LogWriterMATSettings::ToString | ( |  | ) | const

Get a string representation of this LogWriterMATSettings. The string is compatible with GetOptionDescription() and LogWriterMATSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- LogSettings.h